- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions

# QEventLoop Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qeventloop.h.

`#include <qeventloop.h>`

Inheritance diagram for QEventLoop:
[legend]

List of all members.

## Public Types
enum | ProcessEventsFlag { AllEvents = 0x00, ExcludeUserInputEvents = 0x01, ExcludeSocketNotifiers = 0x02, WaitForMoreEvents = 0x04, X11ExcludeTimers = 0x08, EventLoopExec = 0x20, DialogExec = 0x40 }
## Public Slots
void | quit ()
## Public Member Functions
| QEventLoop (QObject *parent=0)
| ~QEventLoop ()
bool | processEvents (ProcessEventsFlags flags=AllEvents)
void | processEvents (ProcessEventsFlags flags, int maximumTime)
int | exec (ProcessEventsFlags flags=AllEvents)
void | exit (int returnCode=0)
bool | isRunning () const
void | wakeUp ()

## Member Enumeration Documentation

enum ProcessEventsFlag

Search for all occurrences

Enumerator:

  AllEvents | Search for all occurrences
  ExcludeUserInputEvents | Search for all occurrences
  ExcludeSocketNotifiers | Search for all occurrences
  WaitForMoreEvents | Search for all occurrences
  X11ExcludeTimers | Search for all occurrences
  EventLoopExec | Search for all occurrences
  DialogExec | Search for all occurrences

Definition at line 64 of file qeventloop.h.

                               {
            AllEvents = 0x00,
            ExcludeUserInputEvents = 0x01,
            ExcludeSocketNotifiers = 0x02,
            WaitForMoreEvents = 0x04,
    #ifdef QT3_SUPPORT
            ExcludeUserInput = ExcludeUserInputEvents,
            WaitForMore = WaitForMoreEvents,
    #endif
        X11ExcludeTimers = 0x08
    #ifdef QT_DEPRECATED
        , DeferredDeletion = 0x10
    #endif
            , EventLoopExec = 0x20
            , DialogExec = 0x40
        };

## Constructor & Destructor Documentation

QEventLoop | ( | QObject * | parent = `0` | ) | `[explicit]`

~QEventLoop | ( |  | ) |

## Member Function Documentation

bool processEvents | ( | ProcessEventsFlags | flags = `AllEvents` | ) |

Search for all occurrences

void processEvents | ( | ProcessEventsFlags | flags,
|  | int | maximumTime
| ) |  |

Search for all occurrences

int exec | ( | ProcessEventsFlags | flags = `AllEvents` | ) |

Search for all occurrences

void exit | ( | int | returnCode = `0` | ) |

Search for all occurrences

bool isRunning | ( |  | ) | const

Search for all occurrences

void wakeUp | ( |  | ) |

Search for all occurrences

void quit | ( |  | ) | `[slot]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qeventloop.h

QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop
QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop QEventLoop